/* ++[ Machine Problem #3 ]++++++++++++++++++++++++++++++++++++++
   +                                                            +
   + Zaczek, Mariusz                                            +
   + CS 223 - Monday 11:00am - 1:00 pm                          +
   + 3/7/98                                                     +
   +                                                            +
   ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

/* ++[ class sarr  ]+++++++++++++++++++++++++++++++++++++++++++++   
   +								+
   + Date class with private and public declarations. 		+
   + See ( sarr.C ) for actual code for the corresponding	+
   + functions.							+
   +								+
   ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef SARR_H
#define SARR_H

/* Declare the sort funtion from sort.C */
void sort(char *A[], int first, int last, int method);

/* Define StringArray class and its members. */
class StringArray {
private:
   char *array[200];
   char string[300];
   int counter;
public:
   StringArray();
   void insert(char []);  
   void print();
   void sortAscending();
   void sortDescending();
   void clearArray();
   ~StringArray();
};

#endif
